## org.jboss.mail
Interface MailServiceMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  MailService

public interface MailServiceMBean
extends ServiceMBean

MBean interface for the mail service.

Version:
  $Revision: 1.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)
See Also:

Field Summary
`static java.lang.String` `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`void` `setConfigurationFile(java.lang.String file)` File name of the configuration mail file used by JavaMail to send mail.
`void` `setJNDIName(java.lang.String name)` The JNDI name under the java:/ namespace to which javax.mail.Session objects are bound.
`void` `setPassword(java.lang.String password)` Password used to connect to a mail server
`void` `setUser(java.lang.String user)` User id used to connect to a mail server

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setUser

    public void setUser(java.lang.String user)

  User id used to connect to a mail server
  See Also:
    `setPassword(java.lang.String)`

### setPassword

    public void setPassword(java.lang.String password)

  Password used to connect to a mail server
  See Also:
    `setUser(java.lang.String)`

### setConfigurationFile

    public void setConfigurationFile(java.lang.String file)

  File name of the configuration mail file used by JavaMail to send mail. This file normally reside in the configuration directory of JBoss, and contains name-value pairs (such as "mail.transport.protocol = smtp") as specified in the JavaMail specification.

### setJNDIName

    public void setJNDIName(java.lang.String name)

  The JNDI name under the java:/ namespace to which javax.mail.Session objects are bound.

Copyright © 2000 The JBoss Organization. All Rights Reserved.